﻿using System;
using System.Windows;
using System.Windows.Media;
using Infragistics.Windows.Themes;

namespace GridWPF_Washing
{
    public partial class MainWindow : Window
    {
        ResourceWasher _washer = new ResourceWasher()
        {
            WashMode = WashMode.HueSaturationReplacement,
        };

        public MainWindow()
        {
            InitializeComponent();

            _washer.WashColor = new Color { R = 204, G = 119, B = 34 };
            ResourceDictionary rd = new ResourceDictionary();
            rd.Source = new Uri(@"/;component/Metro/Metro.xamGrid.xaml", UriKind.Relative);
            _washer.SourceDictionary = rd;

            Application.Current.Resources.MergedDictionaries.Add(_washer);
        }
    }
}